Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0020221
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformminoralways2012-04-10 09:432012-05-25 12:11
ReporterjonalegriaesarteView Statuspublic 
Assigned Toguilleaer 
PriorityhighResolutionfixedFixed in Version3.0MP12
StatusclosedFix in branchFixed in SCM revision78d28661d80a
ProjectionnoneETAnoneTarget Version3.0MP12
OSAnyDatabaseOracleJava version
OS VersionDatabase versionAnt version
Product VersionpiSCM revision 
Review Assigned To
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0020221: Linked items functionality in oracle does not work in user window

DescriptionLinked items functionality in oracle does not work in user window
Steps To Reproduce- Access to user window
- Select "David McHill"
- Linked items section
- An oracle error appears (see attached)
TagsNo tags attached.
Attached Filespng file icon userwindow.png [^] (57,226 bytes) 2012-04-10 09:43

- Relationships Relation Graph ] Dependency Graph ]
related to design defect 0022732 newAugustoMauch Impossible to delete user 

-  Notes
(0048429)
alostale (developer)
2012-05-08 08:44

Some windows are linked from many places (user, client, org...), these are the problematic ones as described in the issue. Making them to work would penalize in terms of performance for the rest of users in the application when trying to calculate linked items. The proposed solution is to detect these cases and display a message informing there are many linked items and they cannot be shown rather than trying to show them.
(0048561)
hgbot (developer)
2012-05-10 17:44

Repository: erp/devel/pi
Changeset: 78d28661d80a832998fd9e5e3a52d6271d7bd721
Author: Guillermo Álvarez de Eulate <guillermo.alvarez <at> openbravo.com>
Date: Thu May 10 17:43:01 2012 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/78d28661d80a832998fd9e5e3a52d6271d7bd721 [^]

Fixed issue 20221: If too many linked items exists they will not be shown.

In order to avoid problems with oracle (only accepts 1000 items for in expession) and to preserve the performance, the tabs which are related with too many columns (more than 999) will not show the linked items. A new message has been created to be shown.

---
M src-db/database/sourcedata/AD_MESSAGE.xml
M src/org/openbravo/erpCommon/utility/UsedByLink.java
---
(0048565)
guilleaer (developer)
2012-05-10 17:58

Test plan:

To reproduce the issue with the new demo data, follow the steps to reproduce but select the user "F&BAdmin" instead of "David McHill"

This fix is not risky.
(0049095)
hudsonbot (developer)
2012-05-25 12:11

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/5401e185a8b0 [^]

Maturity status: Test

- Issue History
Date Modified Username Field Change
2012-04-10 09:43 jonalegriaesarte New Issue
2012-04-10 09:43 jonalegriaesarte Assigned To => alostale
2012-04-10 09:43 jonalegriaesarte File Added: userwindow.png
2012-04-10 09:43 jonalegriaesarte Modules => Core
2012-05-08 08:44 alostale Note Added: 0048429
2012-05-10 10:53 alostale Assigned To alostale => guilleaer
2012-05-10 17:44 hgbot Checkin
2012-05-10 17:44 hgbot Note Added: 0048561
2012-05-10 17:44 hgbot Status new => resolved
2012-05-10 17:44 hgbot Resolution open => fixed
2012-05-10 17:44 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/78d28661d80a832998fd9e5e3a52d6271d7bd721 [^]
2012-05-10 17:58 guilleaer Note Added: 0048565
2012-05-16 11:38 marvintm Status resolved => closed
2012-05-16 11:38 marvintm Fixed in Version => 3.0MP12
2012-05-25 12:11 hudsonbot Checkin
2012-05-25 12:11 hudsonbot Note Added: 0049095
2013-04-02 08:43 alostale Relationship added related to 0022732


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker